# Utils

Following are the features offered in order to search the issued NFTs.

## Contents

<table><thead><tr><th width="306">Name</th><th>Description</th></tr></thead><tbody><tr><td><a href="#1.-getbalanceof">1. getBalanceOf</a></td><td>View the total number of NFTs owned.</td></tr><tr><td><a href="#2.-getnftidlistofowner">2. getNftIdListOfOwner</a></td><td>View the ID list of NFTs owned by a wallet.</td></tr><tr><td><a href="#3.-getnftitemallfromaddress">3. getNftItemAllFromAddress</a></td><td>View the detailed list of NFTs owned by a wallet.</td></tr><tr><td><a href="#4.-getnftitemall">4. getNftItemAll</a></td><td>View the detailed list of all NFTs registered on the chain.</td></tr><tr><td><a href="#5.-parameter-description">5. Parameter Description</a></td><td>Parameter information required to call API.</td></tr></tbody></table>

### 1. getBalanceOf

View the number of NFTs owned by a wallet.

#### Parameters

<table><thead><tr><th width="165.33333333333331">Name</th><th width="142">Type</th><th>Example</th></tr></thead><tbody><tr><td>ownerAddress</td><td><mark style="color:blue;">String</mark></td><td><em>"</em>firma1nssuz67am2uwc2hjgvphg0fmj3k9l6cx65ux9u"</td></tr></tbody></table>

#### Return value

```bash
6
```

### 2. getNftIdListOfOwner

View the ID list of all NFTs owned by a wallet.

#### Parameters

<table><thead><tr><th width="165.33333333333331">Name</th><th width="142">Type</th><th>Example</th></tr></thead><tbody><tr><td>ownerAddress</td><td><mark style="color:blue;">String</mark></td><td><em>"</em>firma1nssuz67am2uwc2hjgvphg0fmj3k9l6cx65ux9u"</td></tr></tbody></table>

#### Return value

```bash
{
  nftIdList: [
    '0',  '1',  '2',  '3',  '4',  '5'
  ],
  pagination: { next_key: null, total: 6 }
}
```

### 3. getNftItemAllFromAddress

View the detailed list of NFTs owned by a wallet.

#### Parameters

<table><thead><tr><th width="165.33333333333331">Name</th><th width="142">Type</th><th>Example</th></tr></thead><tbody><tr><td>ownerAddress</td><td><mark style="color:blue;">String</mark></td><td><em>"</em>firma1nssuz67am2uwc2hjgvphg0fmj3k9l6cx65ux9u"</td></tr></tbody></table>

#### Return value

<pre class="language-bash"><code class="lang-bash">{
  owner: 'firma1nssuz67am2uwc2hjgvphg0fmj3k9l6cx65ux9u',
  id: '0',
  tokenURI: 'https://firmachain.org/nft/metadata/bcf5cdajs-ff12...-d2han89nnha1'
},
{
  owner: 'firma1nssuz67am2uwc2hjgvphg0fmj3k9l6cx65ux9u',
  id: '1',
  tokenURI: 'https://firmachain.org/nft/metadata/ff1h2an107-tnz8...-bfbqn7h52mm'
},
...
{
  owner: 'firma1nssuz67am2uwc2hjgvphg0fmj3k9l6cx65ux9u',
  id: '5',
<strong>  tokenURI: 'https://firmachain.org/nft/metadata/tuw7mgb35fa-py71...-37uapnvgy65'
</strong>}
],
pagination: { next_key: null, total: 6 }
</code></pre>

### 4. getNftItemAll

View all NFTs recorded on a chain network.

#### Parameters

<table><thead><tr><th width="165.33333333333331">Name</th><th width="142">Type</th><th>Example</th></tr></thead><tbody><tr><td>-</td><td>-</td><td>-</td></tr></tbody></table>

#### Return value

<pre><code>{
  dataList: [
  {
    owner: 'firma1nssuz67am2uwc2hjgvphg0fmj3k9l6cx65ux9u',
    id: '0',
    tokenURI: 'https://firmachain.org/nft/metadata/bcf5cdajs-ff12...-d2han89nnha1'
  },
  {
    owner: 'firma1nssuz67am2uwc2hjgvphg0fmj3k9l6cx65ux9u',
    id: '1',
    tokenURI: 'https://firmachain.org/nft/metadata/ff1h2an107-tnz8...-bfbqn7h52mm'
  },
  ...
  {
    owner: 'firma1trqyle9m2nvyafc2n25frkpwed2504y6avgfzr',
    id: '8',
    tokenURI: 'https://firmachain.org/nft/metadata/hfuqo72n65-vfy1...-jgnvkl863nv'
  },
  ],
<strong>  pagination: { next_key: null, total: 9 }
</strong>}
</code></pre>

### 5. Parameter Description

<table><thead><tr><th width="182">Name</th><th>Description</th></tr></thead><tbody><tr><td>ownerAddress</td><td>For this parameter, please enter your FirmaChain wallet address. The owner of the wallet can be anyone. (e.g. “Service Wallet Address” or “Signatory’s Wallet Address”).</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.firmachain.org/master/developer/modules/nft/utils.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
